## gnome-online-accounts 3.40.1

=== debian/changelog ===
gnome-online-accounts (3.40.1-2) unstable; urgency=medium

  * Reenable the backend on sh4, webkit now builds on that architecture
  * Build libgoa-backend-1.0-dev on m68k too, oups

 -- Laurent Bigonville <bigon@debian.org>  Mon, 01 Nov 2021 01:54:05 +0100

gnome-online-accounts (3.40.1-1) unstable; urgency=medium

  * Reenable the backend on m68k, webkit builds again on that architecture
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Oct 2021 23:58:01 +0100

gnome-online-accounts (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: minor cleanup
  * Release to unstable
    - This enables last.fm support for the GNOME Music app

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 08:17:12 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-online-accounts
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               autoconf-archive,
               dh-sequence-gir,
               dh-sequence-gnome,
               gtk-doc-tools,
               libgcr-3-dev,
               libgirepository1.0-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.52),
               libgtk-3-dev (>= 3.19.12) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               libjson-glib-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               libkrb5-dev,
               librest-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               libsecret-1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               libsoup2.4-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               libjavascriptcoregtk-4.0-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               libwebkit2gtk-4.0-dev (>= 2.26) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
               valac
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts

Package: gnome-online-accounts
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: libgoa-1.0-0b (= ${binary:Version}),
         libgoa-backend-1.0-1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-control-center (>= 3.6.1)
Breaks: evolution-data-server (<< 3.22.3)
Description: service to manage online accounts for the GNOME desktop
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.

Package: libgoa-1.0-0b
Architecture: any
Section: libs
Depends: libgoa-1.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libgoa-1.0-0
Replaces: libgoa-1.0-0
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for GNOME Online Accounts
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the libraries used by GOA applications.

Package: libgoa-1.0-dev
Architecture: any
Section: libdevel
Depends: gir1.2-goa-1.0 (= ${binary:Version}),
         libgoa-1.0-0b (= ${binary:Version}),
         libglib2.0-dev (>= 2.52),
         ${misc:Depends}
Suggests: libgoa-1.0-doc
Multi-Arch: same
Description: library for GNOME Online Accounts - development files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the files needed to build applications that access
 the service.

Package: libgoa-backend-1.0-1
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Section: libs
Depends: libgoa-1.0-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: backend library for GNOME Online Accounts
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the backend libraries used by GOA applications.

Package: libgoa-backend-1.0-dev
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Section: libdevel
Depends: gir1.2-goa-1.0 (= ${binary:Version}),
         libgoa-1.0-dev (= ${binary:Version}),
         libgoa-backend-1.0-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52),
         libgtk-3-dev,
         ${misc:Depends}
Conflicts: libgoa-1.0-dev (<< 3.10.0)
Replaces: libgoa-1.0-dev (<< 3.10.0)
Suggests: libgoa-1.0-doc
Multi-Arch: same
Description: backend library for GNOME Online Accounts - development files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the files needed to build applications that access
 the service.

Package: libgoa-1.0-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Breaks: libgoa-1.0-0 (<< 3.8.2)
Replaces: libgoa-1.0-0 (<< 3.8.2)
Multi-Arch: foreign
Description: library for GNOME Online Accounts - common files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the translation files for the GOA library and daemon.

Package: libgoa-1.0-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: library for GNOME Online Accounts - documentation files
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package contains the HTML documentation for the GOA library.

Package: gir1.2-goa-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Introspection data for GNOME Online Accounts
 This package contains the GNOME Online Accounts service, which provides a
 centralized place for managing online accounts (Google, etc) for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

## gnome-online-accounts 3.44.0

=== debian/changelog ===
gnome-online-accounts (3.44.0-1ubuntu1) jammy; urgency=medium

  * Merge with Debian (LP: #1967155). Remaining changes:
    + debian/rules:
      - Make sure that gnome-online-accounts.pot is refreshed so the
        strings from 0001-ubuntu-sso-provider.patch are included
        (LP: #1759251).
      - Build with --enable-ubuntu-sso
      - disable the facebook provider since it's currently not working
      - disable the last.fm provider since it's only used by GNOME Music
        which isn't installed by default
    + debian/control.*:
      - Add b-d on libsnapd-glib-dev
      - depends on python3 and python3-macaroonbakery for the ubuntu sso
        provider.
    + debian/gnome-online-accounts.install:
      install usr/share/goa-1.0/scripts/lpa_helper.py
    + debian/libgoa-backend-1.0-1.symbols:
      Add goa_ubuntu_sso_provider_get_type
    + Ubuntu-specific patches:
      - debian/patches/0001-ubuntu-sso-provider.patch
      - debian/patches/0002-livepatch-auth.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 11:35:58 -0400

gnome-online-accounts (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 11:32:11 -0400

gnome-online-accounts (3.43.1-1ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/rules:
      - Make sure that gnome-online-accounts.pot is refreshed so the
        strings from 0001-ubuntu-sso-provider.patch are included (LP: #1759251).
      - Build with --enable-ubuntu-sso
      - disable the facebook provider since it's current not working
    + debian/control.*:
      - Add b-d on libsnapd-glib-dev
      - depends on python3 and python3-macaroonbakery for the ubuntu sso
        provider.
    + debian/gnome-online-accounts.install:
      install usr/share/goa-1.0/scripts/lpa_helper.py
    + debian/libgoa-backend-1.0-1.symbols:
      Add goa_ubuntu_sso_provider_get_type
    + Ubuntu-specific patches:
      - debian/patches/0001-ubuntu-sso-provider.patch
      - debian/patches/0002-livepatch-auth.patch
  * debian/rules: Disable last.fm provider
    - Only used by GNOME Music which isn't installed by default
    - This provider had been disabled until now

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 10:33:16 -0400

gnome-online-accounts (3.43.1-1) unstable; urgency=medium

  * New upstream release
    - Last.fm is now enabled by default: used by the GNOME Music app
    - The "Documents" provider has now been dropped as the GNOME
      Documents app is no longer maintained. See Debian bug 1008526
  * debian/libgoa-backend-1.0-1.symbols: Drop private documents symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 09:50:44 -0400

gnome-online-accounts (3.40.1-2ubuntu2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:58 +0100

gnome-online-accounts (3.40.1-2ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/rules:
      - Make sure that gnome-online-accounts.pot is refreshed so the
        strings from 0001-ubuntu-sso-provider.patch are included (LP: #1759251).
      - Build with --enable-ubuntu-sso
      - disable the facebook provider since it's current not working
    + debian/control.*:
      - Add b-d on libsnapd-glib-dev
      - depends on python3 and python3-macaroonbakery for the ubuntu sso
        provider.
    + debian/gnome-online-accounts.install:
      install usr/share/goa-1.0/scripts/lpa_helper.py
    + debian/libgoa-backend-1.0-1.symbols:
      Add goa_ubuntu_sso_provider_get_type
    + Ubuntu-specific patches:
      - debian/patches/0001-ubuntu-sso-provider.patch
      - debian/patches/0002-livepatch-auth.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Nov 2021 16:37:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                dh-sequence-gir,
@@ -20,6 +21,7 @@
                libkrb5-dev,
                librest-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libsecret-1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               libsnapd-glib-dev (>= 1.43),
                libsoup2.4-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libjavascriptcoregtk-4.0-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libwebkit2gtk-4.0-dev (>= 2.26) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
@@ -27,14 +29,18 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts/tree/ubuntu/master
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
 
 Package: gnome-online-accounts
 Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Depends: libgoa-1.0-0b (= ${binary:Version}),
          libgoa-backend-1.0-1 (= ${binary:Version}),
+         python3,
+         python3-macaroonbakery,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-control-center (>= 3.6.1)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Ngnome-online-accounts
endif

ifneq ($(filter ia64 kfreebsd-amd64 kfreebsd-i386,$(DEB_HOST_ARCH)),)
  DISABLE_BACKEND := --disable-backend
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-documentation \
		--enable-gtk-doc \
		--enable-kerberos \
		--disable-media-server \
		--disable-facebook \
		--enable-flickr \
		--disable-fedora \
		--disable-lastfm \
		--enable-windows-live \
		--enable-google \
		--enable-owncloud \
		--enable-imap-smtp \
		--enable-exchange \
		--enable-foursquare \
		--enable-ubuntu-sso \
		$(DISABLE_BACKEND)

execute_before_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_translations:
	mv po/gnome-online-accounts.pot po/gnome-online-accounts.pot.bak
	dh_translations

override_dh_clean:
	if [ -f po/gnome-online-accounts.pot.bak ]; then \
		mv po/gnome-online-accounts.pot.bak po/gnome-online-accounts.pot; \
	fi
	dh_clean

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

## gnome-online-accounts 3.44.0+mint1+vanessa

=== debian/changelog ===
gnome-online-accounts (3.44.0+mint1+vanessa) vanessa; urgency=medium

  * Remove Ubuntu SSO

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 May 2022 14:39:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 ifneq ($(filter ia64 kfreebsd-amd64 kfreebsd-i386,$(DEB_HOST_ARCH)),)
   DISABLE_BACKEND := --disable-backend
 endif
+
+CFLAGS += -Wno-error
 
 %:
 	dh $@
@@ -35,7 +37,6 @@
 		--enable-imap-smtp \
 		--enable-exchange \
 		--enable-foursquare \
-		--enable-ubuntu-sso \
 		$(DISABLE_BACKEND)
 
 execute_before_dh_install:

## gnome-online-accounts 3.44.0-1ubuntu1+11.0trisquel2

=== debian/changelog ===
gnome-online-accounts (3.44.0-1ubuntu1+11.0trisquel2) aramo; urgency=medium

  * Remove Snap build dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 06 Dec 2022 14:04:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -21,7 +21,6 @@
                libkrb5-dev,
                librest-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libsecret-1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libsnapd-glib-dev (>= 1.43),
                libsoup2.4-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libjavascriptcoregtk-4.0-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libwebkit2gtk-4.0-dev (>= 2.26) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
@@ -40,7 +39,6 @@
 Depends: libgoa-1.0-0b (= ${binary:Version}),
          libgoa-backend-1.0-1 (= ${binary:Version}),
          python3,
-         python3-macaroonbakery,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-control-center (>= 3.6.1)

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 ifneq ($(filter ia64 kfreebsd-amd64 kfreebsd-i386,$(DEB_HOST_ARCH)),)
   DISABLE_BACKEND := --disable-backend
 endif
-
-CFLAGS += -Wno-error
 
 %:
 	dh $@
@@ -36,7 +34,7 @@
 		--enable-owncloud \
 		--enable-imap-smtp \
 		--enable-exchange \
-		--enable-foursquare \
+		--enable-foursquare
 		$(DISABLE_BACKEND)
 
 execute_before_dh_install:

## gnome-online-accounts 3.45.2

=== debian/changelog ===
gnome-online-accounts (3.45.2-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Build with webkit2gtk 4.1 and libsoup3
  * debian/libgoa-backend-1.0-1.symbols: Drop symbols
    related to dropped Facebook, Flickr, Foursquare, OAuth 1.0 support

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 15:26:01 -0400

=== debian/control ===
--- 
+++ 
@@ -5,40 +5,36 @@
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
-               autoconf-archive,
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
                libgcr-3-dev,
                libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.52),
+               libglib2.0-dev (>= 2.67.4),
                libgtk-3-dev (>= 3.19.12) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libjson-glib-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libkrb5-dev,
-               librest-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               librest-dev (>= 0.9) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libsecret-1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libsoup2.4-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libjavascriptcoregtk-4.0-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libwebkit2gtk-4.0-dev (>= 2.26) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               libsoup-3.0-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               libjavascriptcoregtk-4.1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               libwebkit2gtk-4.1-dev (>= 2.33.1) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               meson (>= 0.56.0),
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts/tree/ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
 
 Package: gnome-online-accounts
 Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Depends: libgoa-1.0-0b (= ${binary:Version}),
          libgoa-backend-1.0-1 (= ${binary:Version}),
-         python3,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-control-center (>= 3.6.1)

## gnome-online-accounts 3.46.0

=== debian/changelog ===
gnome-online-accounts (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:10:08 -0400

gnome-online-accounts (3.45.2-3) unstable; urgency=medium

  * Add alternate Recommends budgie-control-center & unity-control-center

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 05:57:11 -0400

gnome-online-accounts (3.45.2-2) unstable; urgency=medium

  * debian/control.in: Add some breaks for the libsoup3 transition
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:51:18 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -22,11 +22,11 @@
                libsoup-3.0-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libjavascriptcoregtk-4.1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
                libwebkit2gtk-4.1-dev (>= 2.33.1) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               meson (>= 0.56.0),
+               meson (>= 0.57.0),
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
@@ -37,7 +37,7 @@
          libgoa-backend-1.0-1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-control-center (>= 3.6.1)
+Recommends: gnome-control-center (>= 3.6.1) | budgie-control-center | unity-control-center
 Breaks: evolution-data-server (<< 3.22.3)
 Description: service to manage online accounts for the GNOME desktop
  This package contains the GNOME Online Accounts service, which provides a
@@ -50,6 +50,9 @@
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: bijiben (<< 40.1-4~),
+        endeavour (<< 42.0-4~),
+        geary (<< 40.0-5~)
 Conflicts: libgoa-1.0-0
 Replaces: libgoa-1.0-0
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Ngnome-online-accounts
endif

ifneq ($(filter ia64 kfreebsd-amd64 kfreebsd-i386,$(DEB_HOST_ARCH)),)
  DISABLE_BACKEND := -Dgoabackend=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dman=true \
		$(DISABLE_BACKEND)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

## gnome-online-accounts 3.48.0

=== debian/changelog ===
gnome-online-accounts (3.48.0-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:26:36 -0400

gnome-online-accounts (3.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 12:17:51 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,7 +26,7 @@
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-online-accounts
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-online-accounts.git
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts

## gnome-online-accounts 3.49.0

=== meson_options.txt ===
option('goabackend', type: 'boolean', value: true, description: 'Enable goabackend library')

option('exchange', type: 'boolean', value: true, description: 'Enable Microsoft Exchange provider')

option('fedora', type: 'boolean', value: false, description: 'Enable Fedora Account System provider')

option('google', type: 'boolean', value: true, description: 'Enable Google provider')
option('google_client_id', type: 'string', value: '44438659992-7kgjeitenc16ssihbtdjbgguch7ju55s.apps.googleusercontent.com', description: 'Google OAuth 2.0 client id')
option('google_client_secret', type: 'string', value: '-gMLuQyDiI0XrQS_vx_mhuYF', description: 'Google OAuth 2.0 client secret')

option('imap_smtp', type: 'boolean', value: true, description: 'Enable IMAP/SMTP provider')

option('kerberos', type: 'boolean', value: true, description: 'Enable kerberos provider')

option('owncloud', type: 'boolean', value: true, description: 'Enable ownCloud provider')

option('webdav', type: 'boolean', value: true, description: 'Enable WebDAV provider')

option('windows_live', type: 'boolean', value: true, description: 'Enable Windows Live provider')
option('windows_live_client_id', type: 'string', value: '0000000044067703', description: 'Windows Live OAuth 2.0 client id')

option('gtk_doc', type: 'boolean', value: false, description: 'use gtk_doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('man', type: 'boolean', value: false, description: 'enable man pages')
option('template_file', type: 'string', value: '', description: 'Path to the template file')
option('vapi', type: 'boolean', value: true, description: 'build Vala binding')

## gnome-online-accounts 3.50.0

=== meson_options.txt ===
--- 
+++ 
@@ -19,6 +19,9 @@
 option('windows_live', type: 'boolean', value: true, description: 'Enable Windows Live provider')
 option('windows_live_client_id', type: 'string', value: '0000000044067703', description: 'Windows Live OAuth 2.0 client id')
 
+option('ms_graph', type: 'boolean', value: true, description: 'Enable Microsoft 365 provider')
+option('ms_graph_client_id', type: 'string', value: '', description: 'Microsoft 365 client id')
+
 option('gtk_doc', type: 'boolean', value: false, description: 'use gtk_doc to build documentation')
 option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
 option('man', type: 'boolean', value: false, description: 'enable man pages')

=== debian/changelog ===
gnome-online-accounts (3.50.0-4ubuntu2) noble; urgency=medium

  * debian/control, debian/rules:
    - enable the Microsoft OneDrive support now that the msgraph MIR
      has been approved (lp: #2061857)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Apr 2024 13:51:26 +0200

gnome-online-accounts (3.50.0-4ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining changes:
    - Disable libgoa-backend on i386
    - Add explicit Build-Depends: gtk-update-icon-cache

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 15:07:38 -0400

gnome-online-accounts (3.50.0-4) unstable; urgency=medium

  * Update Recommends to gnome-control-center | gnome-online-accounts-gtk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 13:34:08 -0400

gnome-online-accounts (3.50.0-3) unstable; urgency=medium

  * Release to Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 09:29:38 -0400

gnome-online-accounts (3.50.0-2) experimental; urgency=medium

  * Cherry-pick 2 patches to fix Microsoft authentication

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 17:23:52 -0400

gnome-online-accounts (3.50.0-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete alternate Recommends: budgie-control-center,
    unity-control-center (Closes: #1006398)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 11:44:14 -0400

gnome-online-accounts (3.49.4-1) experimental; urgency=medium

  * New upstream release
  * Update libgoa-backend-1.0-dev dependencies to match pkgconfig file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 14:54:20 -0500

gnome-online-accounts (3.49.3-1) experimental; urgency=medium

  * New upstream release
  * Rename libgoa backend library package name to match new soname bump.
    The soname bump makes it more clear that everything using the backend
    library needs to stop using the library or adjust to the 3.49 changes.
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 17:13:39 -0500

gnome-online-accounts (3.49.2-1) experimental; urgency=medium

  * New upstream release
    - This is a major API break known to break the Online Accounts
      feature in cinnamon-control-center and unity-control-center.
      budgie-control-center has removed its Online Accounts feature
      because of this.
  * Switch to gtk4 and libadwaita
  * Don't enable msgraph (OneDrive) since it's not in Debian yet
  * Add Build-Depends: libdbus-1-dev
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 16:07:17 -0500

gnome-online-accounts (3.49.0-2) unstable; urgency=medium

  * Drop patch reverting switch to gcr4
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 22:19:18 -0500

gnome-online-accounts (3.49.0-1) unstable; urgency=medium

  * New upstream release
    - Drop Last.fm provider
    - Add WebDav support, allowing adding CalDav integration for the
      GNOME Calendar app without using Evolution
      (Closes: #866794) (LP: #1731628)
    - Authentication for Google & Microsoft now uses the web browser
      instead of a webkitgtk-powered popup window (LP: #1826311, LP: #1827764)
  * debian/gnome-online-accounts.docs: README -> README.md
  * debian/gnome-online-accounts.install: Install new OAuth2 handler
  * debian/libgoa-backend-1.0-1.symbols: Update
  * Add patch to keep using gcr3 for now
  * Drop unused Build-Depends: webkit2gtk
  * Drop references to kfreebsd and use arch:any (Closes: #1058677)
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jan 2024 12:37:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
-               libgcr-3-dev,
+               gtk-update-icon-cache,
+               libadwaita-1-dev (>= 1.4) [!i386],
+               libdbus-1-dev,
+               libgcr-4-dev,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.67.4),
-               libgtk-3-dev (>= 3.19.12) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libjson-glib-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               libgtk-4-dev (>= 4.10) [!i386],
+               libjson-glib-dev [!i386],
                libkrb5-dev,
-               librest-dev (>= 0.9) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libsecret-1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libsoup-3.0-dev (>= 2.42) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libjavascriptcoregtk-4.1-dev [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
-               libwebkit2gtk-4.1-dev (>= 2.33.1) [!ia64 !kfreebsd-amd64 !kfreebsd-i386],
+               libmsgraph-dev,
+               librest-dev (>= 0.9),
+               libsecret-1-dev [!i386],
+               libsoup-3.0-dev (>= 2.42) [!i386],
                meson (>= 0.57.0),
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
@@ -32,12 +31,12 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeOnlineAccounts
 
 Package: gnome-online-accounts
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: any
 Depends: libgoa-1.0-0b (= ${binary:Version}),
-         libgoa-backend-1.0-1 (= ${binary:Version}),
+         libgoa-backend-1.0-2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-control-center (>= 3.6.1) | budgie-control-center | unity-control-center
+Recommends: gnome-control-center (>= 3.6.1) | gnome-online-accounts-gtk
 Breaks: evolution-data-server (<< 3.22.3)
 Description: service to manage online accounts for the GNOME desktop
  This package contains the GNOME Online Accounts service, which provides a
@@ -81,8 +80,8 @@
  This package contains the files needed to build applications that access
  the service.
 
-Package: libgoa-backend-1.0-1
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Package: libgoa-backend-1.0-2
+Architecture: any
 Section: libs
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
@@ -97,13 +96,14 @@
  This package contains the backend libraries used by GOA applications.
 
 Package: libgoa-backend-1.0-dev
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: any
 Section: libdevel
 Depends: gir1.2-goa-1.0 (= ${binary:Version}),
+         libadwaita-1-dev,
          libgoa-1.0-dev (= ${binary:Version}),
-         libgoa-backend-1.0-1 (= ${binary:Version}),
+         libgoa-backend-1.0-2 (= ${binary:Version}),
          libglib2.0-dev (>= 2.52),
-         libgtk-3-dev,
+         libgtk-4-dev,
          ${misc:Depends}
 Conflicts: libgoa-1.0-dev (<< 3.10.0)
 Replaces: libgoa-1.0-dev (<< 3.10.0)

## gnome-online-accounts 3.50.2

=== debian/changelog ===
gnome-online-accounts (3.50.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 13:10:33 -0400

gnome-online-accounts (3.50.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable OneDrive support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 16:42:26 +0200

gnome-online-accounts (3.50.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Add new symbols
  * Drop ancient Conflicts/Replaces
  * Drop all patches: applied in new release
  * Drop Ubuntu i386 handling: gnome-online-accounts no longer needs to be
    built there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 17:11:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
-               gtk-update-icon-cache,
-               libadwaita-1-dev (>= 1.4) [!i386],
+               libadwaita-1-dev (>= 1.4),
                libdbus-1-dev,
                libgcr-4-dev,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.67.4),
-               libgtk-4-dev (>= 4.10) [!i386],
-               libjson-glib-dev [!i386],
+               libgtk-4-dev (>= 4.10),
+               libjson-glib-dev,
                libkrb5-dev,
                libmsgraph-dev,
                librest-dev (>= 0.9),
-               libsecret-1-dev [!i386],
-               libsoup-3.0-dev (>= 2.42) [!i386],
+               libsecret-1-dev,
+               libsoup-3.0-dev (>= 2.42),
                meson (>= 0.57.0),
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
@@ -52,9 +50,6 @@
 Breaks: bijiben (<< 40.1-4~),
         endeavour (<< 42.0-4~),
         geary (<< 40.0-5~)
-Conflicts: libgoa-1.0-0
-Replaces: libgoa-1.0-0
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
@@ -86,7 +81,6 @@
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: backend library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
@@ -105,8 +99,6 @@
          libglib2.0-dev (>= 2.52),
          libgtk-4-dev,
          ${misc:Depends}
-Conflicts: libgoa-1.0-dev (<< 3.10.0)
-Replaces: libgoa-1.0-dev (<< 3.10.0)
 Suggests: libgoa-1.0-doc
 Multi-Arch: same
 Description: backend library for GNOME Online Accounts - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dman=true

override_dh_gnome_clean:

## gnome-online-accounts 3.50.4

=== meson_options.txt ===
--- 
+++ 
@@ -17,10 +17,10 @@
 option('webdav', type: 'boolean', value: true, description: 'Enable WebDAV provider')
 
 option('windows_live', type: 'boolean', value: true, description: 'Enable Windows Live provider')
-option('windows_live_client_id', type: 'string', value: '0000000044067703', description: 'Windows Live OAuth 2.0 client id')
+option('windows_live_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Windows Live OAuth 2.0 client id')
 
 option('ms_graph', type: 'boolean', value: true, description: 'Enable Microsoft 365 provider')
-option('ms_graph_client_id', type: 'string', value: '', description: 'Microsoft 365 client id')
+option('ms_graph_client_id', type: 'string', value: '8ef61e06-9fd5-49af-9b63-6983aede4213', description: 'Microsoft 365 client id')
 
 option('gtk_doc', type: 'boolean', value: false, description: 'use gtk_doc to build documentation')
 option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')

=== debian/changelog ===
gnome-online-accounts (3.50.4-0ubuntu2) noble; urgency=medium

  * Remove libmsgraph-dev Build-Depends on i386 to fix build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 08:09:20 -0400

gnome-online-accounts (3.50.4-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2072782)
    - Improve usability of new Microsoft 365 provider
    - Update WebDAV/CardDAV/CalDAV support for Fastmail
      and mailbox.org (LP: #2072775)
  * debian/libgoa-backend-1.0-2.symbols: Update
  * debian/gbp.conf: branch for noble
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 21:27:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
-               libadwaita-1-dev (>= 1.4),
+               gtk-update-icon-cache,
+               libadwaita-1-dev (>= 1.4) [!i386],
                libdbus-1-dev,
                libgcr-4-dev,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.67.4),
-               libgtk-4-dev (>= 4.10),
-               libjson-glib-dev,
+               libgtk-4-dev (>= 4.10) [!i386],
+               libjson-glib-dev [!i386],
                libkrb5-dev,
-               libmsgraph-dev,
+               libmsgraph-dev [!i386],
                librest-dev (>= 0.9),
-               libsecret-1-dev,
-               libsoup-3.0-dev (>= 2.42),
+               libsecret-1-dev [!i386],
+               libsoup-3.0-dev (>= 2.42) [!i386],
                meson (>= 0.57.0),
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-3-doc <!nodoc>
@@ -50,6 +52,9 @@
 Breaks: bijiben (<< 40.1-4~),
         endeavour (<< 42.0-4~),
         geary (<< 40.0-5~)
+Conflicts: libgoa-1.0-0
+Replaces: libgoa-1.0-0
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
@@ -81,6 +86,7 @@
 Depends: libgoa-1.0-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: backend library for GNOME Online Accounts
  This package contains the GNOME Online Accounts service, which provides a
@@ -99,6 +105,8 @@
          libglib2.0-dev (>= 2.52),
          libgtk-4-dev,
          ${misc:Depends}
+Conflicts: libgoa-1.0-dev (<< 3.10.0)
+Replaces: libgoa-1.0-dev (<< 3.10.0)
 Suggests: libgoa-1.0-doc
 Multi-Arch: same
 Description: backend library for GNOME Online Accounts - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Ngnome-online-accounts -Nlibgoa-backend-1.0-2 \
			-Nlibgoa-backend-1.0-dev
   meson_options = -Dgoabackend=false
endif

%:
	dh $@ ${skip_packages}

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dms_graph=true \
		-Dman=true \
		${meson_options}

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libgoa-1.0-dev
Depends: build-essential, libgoa-1.0-dev
Restrictions: allow-stderr superficial

Tests: libgoa-backend-1.0-dev
Depends: build-essential, dbus, gnome-online-accounts, libgoa-backend-1.0-dev, xauth, xvfb
Restrictions: allow-stderr superficial

Test-Command: dbus-run-session -- xvfb-run -a ./debian/tests/introspection.py
Depends: dbus, gir1.2-goa-1.0, gnome-online-accounts, python3-gi, xauth, xvfb
Features: test-name=gir1.2-goa-1.0
Restrictions: allow-stderr superficial

## gnome-online-accounts 3.50.4-0ubuntu2trisquel4

=== debian/changelog ===
gnome-online-accounts (3.50.4-0ubuntu2trisquel4) ecne; urgency=medium

  * Avoid promote questionable online services.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Oct 2024 10:21:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-online-accounts
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
